import request from '@/utils/request'

// 查询物料签收报表展示列表
export function listSignreport(query) {
  return request({
    url: '/guide/signreport/list',
    method: 'get',
    params: query
  })
}

// 查询物料签收报表展示详细
export function getSignreport(id) {
  return request({
    url: '/guide/signreport/' + id,
    method: 'get'
  })
}

// 新增物料签收报表展示
export function addSignreport(data) {
  return request({
    url: '/guide/signreport',
    method: 'post',
    data: data
  })
}

// 修改物料签收报表展示
export function updateSignreport(data) {
  return request({
    url: '/guide/signreport',
    method: 'put',
    data: data
  })
}

// 删除物料签收报表展示
export function delSignreport(id) {
  return request({
    url: '/guide/signreport/' + id,
    method: 'delete'
  })
}

// 导出物料签收报表展示
export function exportSignreport(query) {
  return request({
    url: '/guide/signreport/export',
    method: 'get',
    params: query
  })


}


export function childListDept(parentId) {
  return request({
    url: '/system/dept/childList/'+parentId,
    method: 'get',
  })
}
